Reject a release
curl --request POST \
--url https://patch.gg/api/v1/staff/releases/{id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>'})
};
fetch('https://patch.gg/api/v1/staff/releases/{id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/staff/releases/{id}/reject"
payload = { "notes": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"check_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "files",
"status": "queued",
"summary": "<string>",
"rules_version": "<string>",
"test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "<string>",
"finished_at": "<string>",
"findings": [
{
"rule_id": "PA-130",
"severity": "blocking",
"path": "<string>",
"message": "<string>",
"suggestion": "<string>"
}
]
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Staff
Reject a release
POST
/
staff
/
releases
/
{id}
/
reject
Reject a release
curl --request POST \
--url https://patch.gg/api/v1/staff/releases/{id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>'})
};
fetch('https://patch.gg/api/v1/staff/releases/{id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/staff/releases/{id}/reject"
payload = { "notes": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"check_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "files",
"status": "queued",
"summary": "<string>",
"rules_version": "<string>",
"test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "<string>",
"finished_at": "<string>",
"findings": [
{
"rule_id": "PA-130",
"severity": "blocking",
"path": "<string>",
"message": "<string>",
"suggestion": "<string>"
}
]
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}